<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2007 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
	android:id="@+id/album_info"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1"
        android:orientation="horizontal"
        android:gravity="center">

        <ImageView
            android:id="@+id/album"
            android:background="@drawable/album_border_large"
            android:layout_width="220dip"
            android:layout_height="220dip"
            android:layout_marginLeft="4dip"
            android:layout_marginRight="2dip"
            android:layout_marginTop="2dip"
            android:layout_marginBottom="2dip" />

        <LinearLayout
            android:layout_width="0dip"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:gravity="center_horizontal">

           <ImageButton
               android:id="@+id/curplaylist"
               android:src="@drawable/ic_mp_current_playlist_btn"
               android:layout_width="85dip"
               android:layout_height="54dip"
               android:layout_marginTop="4dip" />

           <ImageButton
               android:id="@+id/shuffle"
               android:layout_width="85dip"
               android:layout_height="54dip"
               android:layout_marginTop="22dip" />

           <ImageButton
               android:id="@+id/repeat"
               android:layout_width="85dip"
               android:layout_height="54dip"
               android:layout_marginTop="22dip" />

        </LinearLayout>

    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="156dip">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:baselineAligned="false"
                android:paddingLeft="11dip"
                android:paddingTop="1dip"
                android:paddingBottom="4dip">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="4dip"
                    android:src="@drawable/ic_tab_artists" />

                <TextView
                    android:id="@+id/artistname"
                    android:textSize="18sp"
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:baselineAligned="false"
                android:paddingLeft="11dip"
                android:paddingTop="2dip"
                android:paddingBottom="2dip">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="4dip"
                    android:src="@drawable/ic_tab_albums" />

                <TextView
                    android:id="@+id/albumname"
                    android:textSize="14sp"
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:layout_gravity="center_vertical"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:baselineAligned="false"
                android:paddingLeft="11dip"
                android:paddingTop="2dip"
                android:paddingBottom="2dip">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="4dip"
                    android:src="@drawable/ic_tab_songs" />

                <TextView
                    android:id="@+id/trackname"
                    android:textSize="14sp"
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:layout_gravity="center_vertical"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

        </LinearLayout>

        <FrameLayout
            android:id="@+id/lyrics_frame"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:background="#ff5a5a5a">

            <LinearLayout
                android:id="@+id/lyrics_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:orientation="vertical"
                android:paddingTop="10dip"
                android:paddingBottom="10dip">

                <com.android.music.ScrollLrcView
                    android:id="@+id/lyrics_view"
                    android:layout_width="match_parent"
                    android:layout_height="0dip"
                    android:layout_weight="1"
                    android:layout_marginTop="12dip"
                    android:fadingEdge="vertical"
                    android:scrollbars="none" />

            </LinearLayout>

            <ImageView
                android:id="@+id/lyrics_shift"
                android:layout_width="80dip"
                android:layout_height="45dip"
                android:layout_gravity="center_horizontal"
                android:layout_alignParentTop="true"
                android:gravity="top"
                android:focusable="false">
            </ImageView>

	        <View
	            android:layout_width="match_parent"
	            android:layout_height="1px"
	            android:background="#ffffffff">
	        </View>

        </FrameLayout>

    </FrameLayout>

    <include layout="@layout/audio_player_common_with_lrc" />

</LinearLayout>
